Package com.independentsoft.office.odf.styles

# Class CurrencyStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.CurrencyStyle

public class CurrencyStyle extends Style
Represents the style for currency values.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CurrencyStyle()`
  Initializes a new instance of the CurrencyStyle class.
  `CurrencyStyle​(String name)`
  Initializes a new instance of the CurrencyStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CurrencyStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCountry()`
  Gets the country code for a data style.
  `String`
  `getLanguage()`
  Gets the language code.
  `Number`
  `getNumber()`
  Gets the display formatting properties for a decimal number.
  `String`
  `getPrefixCurrencySymbolText()`
  Gets the string that is displayed before currency symbol.
  `List<StyleMapping>`
  `getStyleMappings()`
  Contains a collection of StyleMapping objects.
  `String`
  `getSuffixCurrencySymbolText()`
  Gets the string that is displayed after currency symbol.
  `CurrencySymbol`
  `getSymbol()`
  Specifies whether a currency symbol is displayed in a currency style.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `getTitle()`
  Gets the title of a data style.
  `String`
  `getTransliterationCountry()`
  Gets the country code in conformance with [RFC5646].
  `String`
  `getTransliterationFormat()`
  Specifies which number characters to use.
  `String`
  `getTransliterationLanguage()`
  Gets the language code in conformance with [RFC5646].
  `TransliterationStyle`
  `getTransliterationStyle()`
  Gets the transliteration-format of a number system.
  `boolean`
  `isAutoOrder()`
  Specifies whether data is ordered to match the default order for the language and country of a data style.
  `boolean`
  `isVolatile()`
  Specifies whether unused style in a document are retained or discarded by consumers.
  `void`
  `setAutoOrder​(boolean autoOrder)`
  Specifies whether data is ordered to match the default order for the language and country of a data style.
  `void`
  `setCountry​(String country)`
  Sets the country code for a data style.
  `void`
  `setLanguage​(String language)`
  Sets the language code.
  `void`
  `setNumber​(Number number)`
  Sets the display formatting properties for a decimal number.
  `void`
  `setPrefixCurrencySymbolText​(String prefixCurrencySymbolText)`
  Sets the string that is displayed before currency symbol.
  `void`
  `setSuffixCurrencySymbolText​(String suffixCurrencySymbolText)`
  Sets the string that is displayed after currency symbol.
  `void`
  `setSymbol​(CurrencySymbol symbol)`
  Specifies whether a currency symbol is displayed in a currency style.
  `void`
  `setTitle​(String title)`
  Sets the title of a data style.
  `void`
  `setTransliterationCountry​(String transliterationCountry)`
  Sets the country code in conformance with [RFC5646].
  `void`
  `setTransliterationFormat​(String transliterationFormat)`
  Specifies which number characters to use.
  `void`
  `setTransliterationLanguage​(String transliterationLanguage)`
  Sets the language code in conformance with [RFC5646].
  `void`
  `setTransliterationStyle​(TransliterationStyle transliterationStyle)`
  Sets the transliteration-format of a number system.
  `void`
  `setVolatile​(boolean isVolatile)`
  Specifies whether unused style in a document are retained or discarded by consumers.
  `String`
  `toString()`
  Converts the value of the current CurrencyStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CurrencyStyle

    public CurrencyStyle()
    Initializes a new instance of the CurrencyStyle class.

  - ### CurrencyStyle

    public CurrencyStyle​(String name)
    Initializes a new instance of the CurrencyStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public CurrencyStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `Style`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current CurrencyStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLanguage

    public String getLanguage()
    Gets the language code.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language code.
    Parameters:
      `language` - the new language

  - ### getCountry

    public String getCountry()
    Gets the country code for a data style.
    Returns:
      the country

  - ### setCountry

    public void setCountry​(String country)
    Sets the country code for a data style.
    Parameters:
      `country` - the new country

  - ### getTitle

    public String getTitle()
    Gets the title of a data style.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title of a data style.
    Parameters:
      `title` - the new title

  - ### isVolatile

    public boolean isVolatile()
    Specifies whether unused style in a document are retained or discarded by consumers.
    Returns:
      true, if is volatile

  - ### setVolatile

    public void setVolatile​(boolean isVolatile)
    Specifies whether unused style in a document are retained or discarded by consumers.
    Parameters:
      `isVolatile` - the new volatile

  - ### isAutoOrder

    public boolean isAutoOrder()
    Specifies whether data is ordered to match the default order for the language and country of a data style.
    Returns:
      true, if is auto order

  - ### setAutoOrder

    public void setAutoOrder​(boolean autoOrder)
    Specifies whether data is ordered to match the default order for the language and country of a data style.
    Parameters:
      `autoOrder` - the new auto order

  - ### getTransliterationFormat

    public String getTransliterationFormat()
    Specifies which number characters to use.
    Returns:
      the transliteration format

  - ### setTransliterationFormat

    public void setTransliterationFormat​(String transliterationFormat)
    Specifies which number characters to use.
    Parameters:
      `transliterationFormat` - the new transliteration format

  - ### getTransliterationLanguage

    public String getTransliterationLanguage()
    Gets the language code in conformance with [RFC5646].
    Returns:
      the transliteration language

  - ### setTransliterationLanguage

    public void setTransliterationLanguage​(String transliterationLanguage)
    Sets the language code in conformance with [RFC5646].
    Parameters:
      `transliterationLanguage` - the new transliteration language

  - ### getTransliterationCountry

    public String getTransliterationCountry()
    Gets the country code in conformance with [RFC5646].
    Returns:
      the transliteration country

  - ### setTransliterationCountry

    public void setTransliterationCountry​(String transliterationCountry)
    Sets the country code in conformance with [RFC5646].
    Parameters:
      `transliterationCountry` - the new transliteration country

  - ### getTransliterationStyle

    public TransliterationStyle getTransliterationStyle()
    Gets the transliteration-format of a number system.
    Returns:
      the transliteration style

  - ### setTransliterationStyle

    public void setTransliterationStyle​(TransliterationStyle transliterationStyle)
    Sets the transliteration-format of a number system.
    Parameters:
      `transliterationStyle` - the new transliteration style

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getPrefixCurrencySymbolText

    public String getPrefixCurrencySymbolText()
    Gets the string that is displayed before currency symbol.
    Returns:
      the prefix currency symbol text

  - ### setPrefixCurrencySymbolText

    public void setPrefixCurrencySymbolText​(String prefixCurrencySymbolText)
    Sets the string that is displayed before currency symbol.
    Parameters:
      `prefixCurrencySymbolText` - the new prefix currency symbol text

  - ### getSuffixCurrencySymbolText

    public String getSuffixCurrencySymbolText()
    Gets the string that is displayed after currency symbol.
    Returns:
      the suffix currency symbol text

  - ### setSuffixCurrencySymbolText

    public void setSuffixCurrencySymbolText​(String suffixCurrencySymbolText)
    Sets the string that is displayed after currency symbol.
    Parameters:
      `suffixCurrencySymbolText` - the new suffix currency symbol text

  - ### getSymbol

    public CurrencySymbol getSymbol()
    Specifies whether a currency symbol is displayed in a currency style.
    Returns:
      the symbol

  - ### setSymbol

    public void setSymbol​(CurrencySymbol symbol)
    Specifies whether a currency symbol is displayed in a currency style.
    Parameters:
      `symbol` - the new symbol

  - ### getNumber

    public Number getNumber()
    Gets the display formatting properties for a decimal number.
    Returns:
      the number

  - ### setNumber

    public void setNumber​(Number number)
    Sets the display formatting properties for a decimal number.
    Parameters:
      `number` - the new number

  - ### getStyleMappings

    public List<StyleMapping> getStyleMappings()
    Contains a collection of StyleMapping objects.
    Returns:
      the style mappings